org.apache.xpath.axes

## Class RTFIterator

- java.lang.Object
- - org.apache.xml.utils.NodeVector
  - - org.apache.xpath.NodeSetDTM
    - - org.apache.xpath.axes.RTFIterator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DTMIterator

    public class RTFIterator
    extends NodeSetDTM

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMIterator

`FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP`

### Constructor Summary

Constructors
Constructor and Description
`RTFIterator(int root, DTMManager manager)` Constructor for RTFIterator

### Method Summary

### Methods inherited from class org.apache.xpath.NodeSetDTM

`addElement, addNode, addNodeInDocOrder, addNodeInDocOrder, addNodes, addNodesInDocOrder, allowDetachToRelease, appendNodes, clone, cloneWithReset, contains, detach, elementAt, getAxis, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getLast, getLength, getRoot, getShouldCacheNodes, getWhatToShow, indexOf, indexOf, insertElementAt, insertNode, isDocOrdered, isFresh, isMutable, item, nextNode, previousNode, removeAllElements, removeElement, removeElementAt, removeNode, reset, runTo, setCurrentPos, setElementAt, setEnvironment, setItem, setLast, setRoot, setShouldCacheNodes, size`

### Methods inherited from class org.apache.xml.utils.NodeVector

`insertInOrder, peepOrNull, peepTail, peepTailSub1, pop, popAndTop, popPair, popQuick, push, pushPair, RemoveAllNoClear, setTail, setTailSub1, sort, sort`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTFIterator

    public RTFIterator(int root,
               DTMManager manager)

Constructor for RTFIterator